export declare class Notify {
    /**
     * Checks permission from the user to show notifications
     * and requests them if not already granted.
     *
     * Permission required to use the sendNotification method.
     */
    isAuthorized: () => Promise<boolean>;
    /**
     * Send a local notification to the user
     * @param title - the title of the notification
     * @param body - the body of the notification
     * @param schedule - when to send the notification, defaults to `new Date()`
     * @param id - the notification id, use to update existing notifications. Defaults to `Math.random()`.
     */
    sendNotification(title: string, body: string, schedule?: Date, id?: number): Promise<void>;
}
